ConstructorNode (groovy 2.4.11 API)
Date: 2017-04-27

Package: org.codehaus.groovy.ast

## [Java] Class ConstructorNode

- org.codehaus.groovy.ast.ConstructorNode

- Represents a constructor declaration

  Authors:
    James Strachan

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MethodNode` | `SCRIPT_BODY_METHOD_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConstructorNode (int modifiers, Statement code)`
    `ConstructorNode (int modifiers, Parameter[] parameters, ClassNode[] exceptions, Statement code)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `firstStatementIsSpecialConstructorCall()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MethodNode` | `getCode, getExceptions, getFirstStatement, getGenericsTypes, getModifiers, getName, getParameters, getReturnType, getText, getTypeDescriptor, getVariableScope, hasAnnotationDefault, hasDefaultValue, isAbstract, isDynamicReturnType, isFinal, isPrivate, isProtected, isPublic, isScriptBody, isStatic, isStaticConstructor, isSyntheticPublic, isVoidMethod, setAnnotationDefault, setCode, setGenericsTypes, setIsScriptBody, setModifiers, setParameters, setReturnType, setSyntheticPublic, setVariableScope, toString`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ConstructorNode(int modifiers, Statement code)

    - #### public ConstructorNode(int modifiers, Parameter[] parameters, ClassNode[] exceptions, Statement code)

  - ### Method Detail

    - #### public boolean firstStatementIsSpecialConstructorCall()